Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## me.holz
Class UploadStatusShelf

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  me.holz.UploadStatusShelf

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class UploadStatusShelf

extends java.awt.Panel

A collection of uploads, which handles the size of them and keeps track of the status of the uploads. If all of them are successfully finished, it tells the browser to show the overview of uploaded files in the CONTENIDO backend.

Since:
  1.0
Version:
  1.1, 01/13/2012
Author:
  Mischa Holz
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.BaselineResizeBehavior`

Field Summary

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`UploadStatusShelf(java.applet.Applet apl, java.lang.String auid, java.lang.String ahost, java.lang.String auploadPath)` Initializes the component and saves the necessary variables to the instance.

Method Summary
`void` | `addNewUpload(java.io.File afile)` Adds a new upload to the shelf by creating a new `UploadStatusBar` and stores it for later use.
`void` | `addUploadStatusBar(UploadStatusBar usb)` Adds `usb` to the components of this and to the uploads `ArrayList`.
`int` | `getPosition(UploadStatusBar usb)` Returns the position of the `UploadStatusBar` `usb` within the applet.
`int` | `getSizeOfShelf()` Returns the current number of uploads running.
`void` | `remove(UploadStatusBar usb, java.lang.String aresponse)` Removes the `UploadStatusBar` `usb` from the array and all of its components.
`void` | `updateSize()` Updates the size of all of the sub components and the window displaying the UploadStatusShelf.

Methods inherited from class java.awt.Panel
`addNotify, getAccessibleContext`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UploadStatusShelf

    public UploadStatusShelf(java.applet.Applet apl,
                             java.lang.String auid,
                             java.lang.String ahost,
                             java.lang.String auploadPath)

  Initializes the component and saves the necessary variables to the instance.

  Parameters:
    `apl` - the applet instance to get the applet context if we want to load the new page
    `auid` - the CONTENIDO uid, which gets sent to the webserver for authentication
    `ahost` - the path to the main.php document ending with /
    `auploadPath` - the relative path to upload to

Method Detail

### addNewUpload

    public void addNewUpload(java.io.File afile)

  Adds a new upload to the shelf by creating a new `UploadStatusBar` and stores it for later use.

  Parameters:
    `afile` - the file to upload

### updateSize

    public void updateSize()

  Updates the size of all of the sub components and the window displaying the UploadStatusShelf. It calls `UploadStatusBar.updateSize()` for all uploads.

### getSizeOfShelf

    public int getSizeOfShelf()

  Returns the current number of uploads running.

  Returns:
    the number of uploads

### getPosition

    public int getPosition(UploadStatusBar usb)

  Returns the position of the `UploadStatusBar` `usb` within the applet.

  Parameters:
    `usb` - the UploadStatusBar which position should be determined
  Returns:
    the position in the uploads `ArrayList`

### remove

    public void remove(UploadStatusBar usb,
                       java.lang.String aresponse)

  Removes the `UploadStatusBar` `usb` from the array and all of its components. If all uploads are successfully finished, it tells the browser to show the overview of all uploaded files in the CONTENIDO backend.

  Parameters:
    `usb` - the `UploadStatusBar` which should be removed.
    `aresponse` - the HTML response of the server after the upload `usb` was finished.

### addUploadStatusBar

    public void addUploadStatusBar(UploadStatusBar usb)

  Adds `usb` to the components of this and to the uploads `ArrayList`.

  Parameters:
    `usb` - the `UploadStatusBar` which will be added

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD